# coding: utf-8

"""
    DeepAffects

    OpenAPI Specification of DeepAffects audio APIs
"""

from pprint import pformat
from six import iteritems
import re


class EmotionScore(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'emotion': 'str',
        'score': 'float'
    }

    attribute_map = {
        'emotion': 'emotion',
        'score': 'score'
    }

    def __init__(self, emotion=None, score=None):  # noqa: E501
        """EmotionScore - a model defined in Swagger"""  # noqa: E501

        self._emotion = None
        self._score = None
        self.discriminator = None

        self.emotion = emotion
        self.score = score

    @property
    def emotion(self):
        """Gets the emotion of this EmotionScore.  # noqa: E501

        Type of emotion like Happy, Sad, Surprised etc.  # noqa: E501

        :return: The emotion of this EmotionScore.  # noqa: E501
        :rtype: str
        """
        return self._emotion

    @emotion.setter
    def emotion(self, emotion):
        """Sets the emotion of this EmotionScore.

        Type of emotion like Happy, Sad, Surprised etc.  # noqa: E501

        :param emotion: The emotion of this EmotionScore.  # noqa: E501
        :type: str
        """

        self._emotion = emotion

    @property
    def score(self):
        """Gets the score of this EmotionScore.  # noqa: E501

        Probability score or confidence of the corresponding emotion.  # noqa: E501

        :return: The score of this EmotionScore.  # noqa: E501
        :rtype: float
        """
        return self._score

    @score.setter
    def score(self, score):
        """Sets the score of this EmotionScore.

        Probability score or confidence of the corresponding emotion.  # noqa: E501

        :param score: The score of this EmotionScore.  # noqa: E501
        :type: float
        """

        self._score = score

    def to_dict(self):
        """
        Returns the model properties as a dict
        """
        result = {}

        for attr, _ in iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """
        Returns the string representation of the model
        """
        return pformat(self.to_dict())

    def __repr__(self):
        """
        For `print` and `pprint`
        """
        return self.to_str()

    def __eq__(self, other):
        """
        Returns true if both objects are equal
        """
        if not isinstance(other, EmotionScore):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """
        Returns true if both objects are not equal
        """
        return not self == other
